HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetSourcesSourceSourceTransactionsSourceTransaction

Contains the different functions to run the operation getSourcesSourceSourceTransactionsSourceTransaction

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetSourcesSourceSourceTransactionsSourceTransaction.hs
valuegetSourcesSourceSourceTransactionsSourceTransaction
  1. :: MonadHTTP m
  2. => GetSourcesSourceSourceTransactionsSourceTransactionParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetSourcesSourceSourceTransactionsSourceTransactionResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/sources/{source}/source_transactions/{source_transaction}

<p>Retrieve an existing source transaction object. Supply the unique source ID from a source creation request and the source transaction ID and Stripe will return the corresponding up-to-date source object information.</p>

Defines the object schema located at paths./v1/sources/{source}/source_transactions/{source_transaction}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getSourcesSourceSourceTransactionsSourceTransaction.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetSourcesSourceSourceTransactionsSourceTransactionResponseError is used.

Instances2Eq, Show